com.smartgwt.client.widgets.grid.events

## Class RecordClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<RecordClickHandler>
      - - com.smartgwt.client.widgets.grid.events.RecordClickEvent

- All Implemented Interfaces:
    Cancellable

      public class RecordClickEvent
      extends AbstractSmartEvent<RecordClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to stop event bubbling
    `protected void` | `dispatch(RecordClickHandler handler)`
    `static <S extends HasRecordClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<RecordClickHandler>` | `getAssociatedType()`
    `ListGridRecord` | `getEditedRecord()` the clicked record with any unsaved edit values overlaid (see `listGrid.getEditedRecord()`).
    `ListGridField` | `getField()` the field that was clicked on (field definition)
    `int` | `getFieldNum()` number of the field clicked on in the listGrid.fields array
    `com.google.gwt.core.client.JavaScriptObject` | `getRawValue()` raw value of the cell (before valueMap, etc applied)
    `ListGridRecord` | `getRecord()` the record that was clicked on
    `int` | `getRecordNum()` number of the record clicked on in the current set of displayed records (starts with 0)
    `static com.google.gwt.event.shared.GwtEvent.Type<RecordClickHandler>` | `getType()` Gets the type associated with this event.
    `com.google.gwt.core.client.JavaScriptObject` | `getValue()`
    `ListGrid` | `getViewer()` the listGrid that contains the click event
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordClickEvent

          public RecordClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasRecordClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                               com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<RecordClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(RecordClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<RecordClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<RecordClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<RecordClickHandler>`

    - #### cancel

          public void cancel()

      Call this method to stop event bubbling
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getViewer

          public ListGrid getViewer()

      the listGrid that contains the click event
      Returns:
        the listGrid that contains the click event

    - #### getRecord

          public ListGridRecord getRecord()

      the record that was clicked on
      Returns:
        the record that was clicked on

    - #### getRecordNum

          public int getRecordNum()

      number of the record clicked on in the current set of displayed records (starts with 0)
      Returns:
        number of the record clicked on in the current set of displayed records (starts with 0)

    - #### getField

          public ListGridField getField()

      the field that was clicked on (field definition)
      Returns:
        the field that was clicked on (field definition)

    - #### getFieldNum

          public int getFieldNum()

      number of the field clicked on in the listGrid.fields array
      Returns:
        number of the field clicked on in the listGrid.fields array

    - #### getEditedRecord

          public ListGridRecord getEditedRecord()

      the clicked record with any unsaved edit values overlaid (see `listGrid.getEditedRecord()`).
      Returns:
        the clicked record with any unsaved edit values overlaid (see `listGrid.getEditedRecord()`).

    - #### getValue

          public com.google.gwt.core.client.JavaScriptObject getValue()

    - #### getRawValue

          public com.google.gwt.core.client.JavaScriptObject getRawValue()

      raw value of the cell (before valueMap, etc applied)
      Returns:
        raw value of the cell (before valueMap, etc applied)